# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "cr-tools"
version = "0.3.2"
authors = ["Bernd-L <git@bernd.pw>"]
include = ["/README.md", "/LICENSE.md", "/Cargo.toml", "/Cargo.lock", "/build.sh", "/container-build.sh", "/src"]
description = "Simple calculator for Clash Royale"
homepage = "https://github.com/Bernd-L/cr-tools#readme"
documentation = "https://docs.rs/cr-tools"
readme = "README.md"
license = "AGPL-3.0-or-later"
repository = "https://github.com/Bernd-L/cr-tools"

[lib]
crate-type = ["cdylib", "rlib"]
[dependencies.anyhow]
version = "1.0.38"

[dependencies.chrono]
version = "0.4"
features = ["wasmbind"]

[dependencies.float-pretty-print]
version = "0.1.0"

[dependencies.serde]
version = "1"

[dependencies.serde_derive]
version = "1"

[dependencies.strum]
version = "0.19"

[dependencies.strum_macros]
version = "0.19"

[dependencies.thiserror]
version = "1.0.23"

[dependencies.wasm-bindgen]
version = "0.2.69"

[dependencies.yew]
version = "0.17"
